package domain

type AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家的活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道配置 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItempoolDeleteactivityChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam) SetByChannel(v bool) *AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam) SetChannelConfigList(v []AlibabaWdkMarketingItempoolDeleteactivityChannelConfig) *AlibabaWdkMarketingItempoolDeleteactivityCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
